## org.w3c.util
Class ArrayEnumeration

    java.lang.Object
      |
      +--org.w3c.util.ArrayEnumeration

public class ArrayEnumeration
extends java.lang.Object
implements java.util.Enumeration

Iterates through array skipping nulls.

Constructor Summary
`ArrayEnumeration(java.lang.Object[] array)`
`ArrayEnumeration(java.lang.Object[] array, int nelems)`

Method Summary
`boolean` | `hasMoreElements()`
`java.lang.Object` | `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayEnumeration

    public ArrayEnumeration(java.lang.Object[] array)

### ArrayEnumeration

    public ArrayEnumeration(java.lang.Object[] array,
                            int nelems)

Method Detail

### hasMoreElements

    public final boolean hasMoreElements()

  Specified by:
    hasMoreElements in interface java.util.Enumeration

### nextElement

    public final java.lang.Object nextElement()

  Specified by:
    nextElement in interface java.util.Enumeration